apiVersion: v1
kind: Namespace
metadata:
  name: tapas
---
apiVersion: v1
data:
  .dockerconfigjson: ewoJImF1dGhzIjogewoJCSJyZWdpc3RyeS5naXRsYWIuY29tIjogewoJCQkiYXV0aCI6ICJkR0Z3WVhNdWNuZDBhRHBMYjNsbGJHMWhibWxBTURrNGVBPT0iCgkJfQoJfQp9
kind: Secret
metadata:
  name: imagepull-secret
  namespace: tapas
type: kubernetes.io/dockerconfigjson
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: spring-deployment
  namespace: tapas
  labels:
    app: spring
spec:
  replicas: 1
  selector:
    matchLabels:
      app: spring
  #strategy: {}
  template:
    metadata:
      labels:
        app: spring
    spec:
      imagePullSecrets:
        - name: imagepull-secret
      containers:
      - image: registry.gitlab.com/tapas.rwth/spring-boot-react-rest-api/springboot-react:1.0.0
        name: spring
        resources:
          requests:
            memory: 250Mi
            cpu: 250m
          limits:
            memory: 250Mi
            cpu: 250m
        #resources:
        imagePullPolicy: IfNotPresent
---
apiVersion: v1
kind: Service
metadata:
  name: spring-service
  namespace: tapas
spec:
  #type: LoadBalancer
  selector:
    app: spring
  ports:
    - protocol: TCP
      port: 80
      targetPort: 8080
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: app-spring
  namespace: tapas
  annotations:
    #nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/use-regex: "true"
    nginx.ingress.kubernetes.io/ssl-passthrough: "true"
    #kubernetes.io/ingress.class: "nginx"
spec:
  ingressClassName: nginx
  rules:
    - host: demo.tapasjana.net
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              service:
                name: spring-service
                port:
                  number: 80
